import axios from "axios";
import React from "react"
import ReactDOM from "react-dom"

export function Verify(APIurl) {
  return new Promise((resolve, reject) => {
    if (window.navigator.onLine === true) {
      axios.get(APIurl)
        .then((response) => {
          resolve(response.data)
        })
    } else {
      document.getElementById("OfflineScreen").classList.add("active")
      setTimeout(() => {
        document.getElementById("OfflineModal").classList.add("active")
        setTimeout(() => {
          document.getElementById("OfflineText").classList.add("active")
        }, 600);
      }, 100);

      setTimeout(() => {
        document.getElementById("OfflineText").classList.remove("active")
        setTimeout(() => {
          document.getElementById("OfflineModal").classList.remove("active")
          setTimeout(() => {
            document.getElementById("OfflineScreen").classList.remove("active")
          }, 1000);
        }, 600);
      }, 6000);
      reject("error")
    }
  });
}

export default function VerifyConnection() {
  return (
    <>
      <div id="OfflineScreen">
        <div id="OfflineModal">
          <p id="OfflineText">
            Conexão com a internet não encontrada.
            Por favor se conecte e tente novamente!
          </p>
        </div>
      </div>
    </>
  );
}

ReactDOM.render(<VerifyConnection />, document.getElementById("app"));

